{% extends 'base.html' %} {% block content %}

<main>
    <div>
        {% if not tasks %}
        <p>You have no tasks</p>
        {% endif %}
        <h1>My Tasks</h1>
        {% if request.user.is_authenticated %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for task in tasks %}
                <tr>
                    <td>{{ task.name }}</td>
                    <td>{{ task.start_date }}</td>
                    <td>{{ task.due_date }}</td>
                    <td>{{ task.is_completed|yesno }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% endif %}
    </div>
</main>

{% endblock content %}
